package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpOrderGoodsManageDetailVO {
   @ApiModelProperty("金额")
   private Long amount;
   @ApiModelProperty("付款时间")
   private LocalDateTime payTime;
   @ApiModelProperty("付款银行")
   private String payBank;
   @ApiModelProperty("付款账号")
   private String payAccount;
   @ApiModelProperty("付款开户名")
   private String payAccountName;
   @ApiModelProperty("收款银行")
   private String collectBank;
   @ApiModelProperty("收款账号")
   private String collectAccount;
   @ApiModelProperty("收款开户名")
   private String collectAccountName;
   @ApiModelProperty("订单号")
   private String orderGoodsId;
   @ApiModelProperty("订单时间")
   private LocalDateTime orderTime;
   @ApiModelProperty("操作人")
   private String crby;
   @ApiModelProperty("操作时间")
   private LocalDateTime crTime;

   public Long getAmount() {
      return this.amount;
   }

   public LocalDateTime getPayTime() {
      return this.payTime;
   }

   public String getPayBank() {
      return this.payBank;
   }

   public String getPayAccount() {
      return this.payAccount;
   }

   public String getPayAccountName() {
      return this.payAccountName;
   }

   public String getCollectBank() {
      return this.collectBank;
   }

   public String getCollectAccount() {
      return this.collectAccount;
   }

   public String getCollectAccountName() {
      return this.collectAccountName;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public LocalDateTime getOrderTime() {
      return this.orderTime;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrTime() {
      return this.crTime;
   }

   public void setAmount(final Long amount) {
      this.amount = amount;
   }

   public void setPayTime(final LocalDateTime payTime) {
      this.payTime = payTime;
   }

   public void setPayBank(final String payBank) {
      this.payBank = payBank;
   }

   public void setPayAccount(final String payAccount) {
      this.payAccount = payAccount;
   }

   public void setPayAccountName(final String payAccountName) {
      this.payAccountName = payAccountName;
   }

   public void setCollectBank(final String collectBank) {
      this.collectBank = collectBank;
   }

   public void setCollectAccount(final String collectAccount) {
      this.collectAccount = collectAccount;
   }

   public void setCollectAccountName(final String collectAccountName) {
      this.collectAccountName = collectAccountName;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setOrderTime(final LocalDateTime orderTime) {
      this.orderTime = orderTime;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrTime(final LocalDateTime crTime) {
      this.crTime = crTime;
   }


   public String toString() {
      Long var10000 = this.getAmount();
      return "DrpOrderGoodsManageDetailVO(amount=" + var10000 + ", payTime=" + String.valueOf(this.getPayTime()) + ", payBank=" + this.getPayBank() + ", payAccount=" + this.getPayAccount() + ", payAccountName=" + this.getPayAccountName() + ", collectBank=" + this.getCollectBank() + ", collectAccount=" + this.getCollectAccount() + ", collectAccountName=" + this.getCollectAccountName() + ", orderGoodsId=" + this.getOrderGoodsId() + ", orderTime=" + String.valueOf(this.getOrderTime()) + ", crby=" + this.getCrby() + ", crTime=" + String.valueOf(this.getCrTime()) + ")";
   }
}
